dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");
location={}
location["keys"] = true
location["keys"] = {}
location["keys"]["id"] = 16
location["keys"]["sub_id"] = 0
function LevelComplete()
  DeleteElement("gr",120);
  DeleteElement("gr",123);
  DeleteElement("gr",115);
  flags.levelcomplete=true;
    whole_darkness=false;
  DarkScreen(true);
  ShowMenu(false)
end;
function LoadingLevel(param)
if flags.levelcomplete then
  delete_tree_leaf("Root","keys");-- Добавляет лист в дерево
  setnextlavel(17);
  loadlavel();
return; end;
SetAlfaValue(503,0);
     SLevel=param;
return;end;
frame=0;
flags={};
flags["comx"]=false;
flags["comx1"]=false;
flags["HintCount"]=5;
flags["minicomplete"]=false;
flags["access"]=false;
flags["all"]=false;
flags["levelcomplete"]= false;
flags["nohints"]=false;
skip= false;
add_tree_leaf("Root","keys",16,0);-- Добавляет лист в дерево 
  addstaticobjecttogame(877777777,"buttons",114,625,"",60,0,61,61);
  SetCurrentRM("menu");
  AddSheet(1002,"re","red_b",103,656,37,41,"",99,657,650,80,92,21,5,5,0,59,877777777,nil,"buttonsY");
  SetCurrentRM("main");
  ShowMenu(true);  
  loadresource("data\\photoaparat.png","photoaparat",2000029);
loadresource("data\\animationMENU3.png","menuAn",2000030);
AddImgToBook("photoaparat",821,637);
AddHints()
dofile("./data/16/0/res.lua");
setcurentleaf("keys",16,0);
WaitRender()
flags.comx= true

    ShowMenu(false);
    playfile(".\\sound\\game_theme2.ogg",true,true);
function StartLevel()
  DarkScreen(false);
    SetCurrentRM("menu");
    AddImgToBook("photoaparat",821,637);
    AddHints()
  SetCurrentRM("main");
    ShowMenu(true);
      AddParticleToObject(18,"slepok",117,365-4);
      MoveEmiter("slepok",117,365-4);
      if not flags.minicomplete18 and flags.access then
        StartEmiter("slepok");
      end;
end